/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;


/**
 * 状态统计
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-22 16:52:11  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "状态统计")
public class BugStatisticsChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_receiverName = "receiverName";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_type = "type";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_bugStatusCode = "bugStatusCode";
  public static final String KEY_amount = "amount";
  public static final String KEY_createTime = "createTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 分配人<br>
   */
  @ApiModelProperty("分配人")
  @Size(max = 50, message="分配人-receiverName: 数据长度不能 > 50" )
  private String receiverName;
  /**
   * 模块<br>
   */
  @ApiModelProperty("模块")
  @Size(max = 50, message="模块-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 分类: 0分配人，1模块<br>
   */
  @ApiModelProperty("分类: 0分配人，1模块")
  @Size(max = 1, message="分类: 0分配人，1模块-type: 数据长度不能 > 1" )
  private String type;
  /**
   * 项目id<br>
   */
  @ApiModelProperty("项目id")
  @Size(max = 50, message="项目id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 缺陷状态<br>
   */
  @ApiModelProperty("缺陷状态")
  @Size(max = 50, message="缺陷状态-bugStatus: 数据长度不能 > 50" )
  private String bugStatus;
  /**
   * 缺陷状态码<br>
   */
  @ApiModelProperty("缺陷状态码")
  @Size(max = 50, message="缺陷状态码-bugStatusCode: 数据长度不能 > 50" )
  private String bugStatusCode;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer amount;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createTime: 数据长度不能 > 50" )
  private String createTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 分配人<br>
   */
  public String getReceiverName()
  {
      return receiverName;
    }

  /**
   * 分配人<br>
   *
   * @param receiverName 分配人
   */
  public void setReceiverName(String receiverName)
  {
      this.receiverName = receiverName;
    }
  /**
   * 模块<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块<br>
   *
   * @param moduleId 模块
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 分类: 0分配人，1模块<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 分类: 0分配人，1模块<br>
   *
   * @param type 分类: 0分配人，1模块
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 项目id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 项目id<br>
   *
   * @param projectId 项目id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 缺陷状态<br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * 缺陷状态<br>
   *
   * @param bugStatus 缺陷状态
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * 缺陷状态码<br>
   */
  public String getBugStatusCode()
  {
    return bugStatusCode;
  }

  /**
   * 缺陷状态码<br>
   *
   * @param bugStatusCode 缺陷状态码
   */
  public void setBugStatusCode(String bugStatusCode)
  {
    this.bugStatusCode =bugStatusCode;
  }
  /**
   * <br>
   */
  public Integer getAmount()
  {
      return amount;
    }

  /**
   * <br>
   *
   * @param amount 
   */
  public void setAmount(Integer amount)
  {
      this.amount = amount;
    }
  /**
   * 创建时间<br>
   */
  public String getCreateTime()
  {
      return createTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createTime 创建时间
   */
  public void setCreateTime(String createTime)
  {
      this.createTime = createTime;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugStatisticsChart()
  {
  }
}
